package it.unitn.disi.prog2.esameluglio18;

import it.unitn.disi.prog2.esameluglio18.figures.Empty;
import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.StackPane;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

/**
 * Classe principale che costruisce le componenti e avvia l'applicazione
 * @author ronchet
 */
public class EsameLuglio18 extends Application {
    
    @Override
    public void start(Stage primaryStage) { 
        BorderPane root = new BorderPane();
        //
        Stack stack=new Stack();
        root.setLeft(stack);
        //
        VBox vbox=new VBox();
        vbox.setAlignment(Pos.CENTER);
        vbox.getChildren().add(new ControlPane(stack));
        StackPane sp=new StackPane();
        sp.getChildren().add(new Empty().getNode());
        vbox.getChildren().add(sp);
        vbox.getChildren().add(new ChoicePanel(stack,sp));
        root.setCenter(vbox);
        //
        Scene scene = new Scene(root,294,255);        
        primaryStage.setTitle("Figure geometriche");
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        launch(args);
    }
    
}
