package it.unitn.disi.prog2.esameluglio18.figures;

import javafx.scene.Node;
import javafx.scene.paint.Color;
import javafx.scene.shape.Shape;
/**
 * classe astratta che rappresentante una figura generica
 * @author ronchet
 */
public abstract class Figura {
    /**
     * lo shape che caratterizza la figura 
     **/
    Shape content=null;
    /**
     * metodo che setta i colori per lo shape
     */
    public void paintContent(){
        content.setFill(Color.YELLOW);
        content.setStroke(Color.RED);
    }
    /**
     * recupera lo Shape collegato alla figura
     * Restituirlo come Node lascia aperta la porta a possibili implementazioni alternative
     * @return lo Shape collegato alla figura
     */
    public Node getNode() {return content;}
}
