package it.unitn.disi.prog2.esameluglio18;

import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.paint.Paint;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import javafx.scene.text.TextAlignment;
import javafx.stage.Stage;

/**
 * Finestra dei messaggi: l'implementazione ricopia quasi pari pari quella presentata a
 * lezione per l'applicazione con due finestre
 *
 * @author ronchet
 */
public class FinestraMessaggi {
    Stage stage2;        
    FinestraMessaggi(String msg) {
        System.out.println("creo FinestraMessaggi");
        Button closeButton=new Button("Close");
        closeButton.setOnAction(new EventHandler<ActionEvent>() {
            @Override
            public void handle(ActionEvent event) {
              stage2.close();  
            }
        });
        Text t2 = new Text(0, 50, msg);
        t2.setTextAlignment(TextAlignment.LEFT);
        t2.setFill(Paint.valueOf("RED"));
        t2.setFont(new Font(20));
        Group g2 = new Group(t2,closeButton);
        Scene scene2 = new Scene(g2);
        scene2.setFill(Paint.valueOf("YELLOW"));
        stage2 = new Stage();
        stage2.setTitle("Message");
        stage2.setScene(scene2);
        stage2.setX(100);
        stage2.setY(80);
        stage2.sizeToScene();
        stage2.show();
    }
}