package it.unitn.disi.prog2.esameluglio18.figures;

import javafx.scene.shape.Polygon;

/**
 * sottoclasse di figura rappresentante un esagono
 * @author ronchet
 */
public class Hexagon extends Figura{
    public Hexagon(){
        content=new Polygon();
        /* Implementazione "a naso"
        ((Polygon) content).getPoints().addAll(new Double[]{
            16.6,0.0,
            33.0,0.0,
            49.0,25.0,
            33.0,50.0,
            16.6,50.0,
            0.0,25.0
        });*/
        /* Implementazione geometrica regolare */
        double radius=25.0;
        double piOver3=Math.PI/3;
        ((Polygon) content).getPoints().addAll(new Double[]{
            radius+radius*Math.cos(0.0),radius+radius*Math.sin(0.0),
            radius+radius*Math.cos(piOver3),radius+radius*Math.sin(piOver3),
            radius+radius*Math.cos(2*piOver3),radius+radius*Math.sin(2*piOver3),
            radius+radius*Math.cos(Math.PI),radius+radius*Math.sin(Math.PI),
            radius+radius*Math.cos(4*piOver3),radius+radius*Math.sin(4*piOver3),
            radius+radius*Math.cos(5*piOver3),radius+radius*Math.sin(5*piOver3) 
        });
        paintContent();
    }
}
